export type SocialEntry = {
  site: string,       // email, bsky, fedi, other
  url: string,        // url of social page
  icon?: string,      // custom icon to use for the social link widget
  alt?: string        // custom name of site to put on the social link widget
}

export type ShareFeedEntry = {
  url: string,              // url of article
  author?: string,          // author of article
  socials?: SocialEntry[],  // social links for author
  originalUrl?: string,     // if `url` is an archive link, put original URL here
  date: string,             // date in which the entry was **added to the sharefeed**
  pubDate?: string,         // date in which the entry was **published online**
  title: string,            // title of the article
  note: string,             // editorial note to attach to the article
  draft?: boolean           // hide this entry from the main list
}

export type BlogRollEntry = {
  author: string,           // name of the author
  url: string,              // url of the website
  rank: number,             // 0 = friends, 1 = following, 2 = strangers
  siteName?: string,         // name of the website itself
  socials?: SocialEntry[],  // social links for the author
  note?: string,            // editorial note to attach to this entry
  draft?: boolean           // hide this entry from the main list
}

export const timeZone = "America/Chicago";
